cpw.mods.fml.client.config

## Class GuiEditArrayEntries

- java.lang.Object
- - net.minecraft.client.gui.GuiSlot
  - - net.minecraft.client.gui.GuiListExtended
    - - cpw.mods.fml.client.config.GuiEditArrayEntries

-     public class GuiEditArrayEntries
      extends GuiListExtended

  This class implements the scrolling list functionality of the GuiEditList screen. It also provides all the default controls for editing array-type properties.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GuiEditArrayEntries.BaseEntry`
    `static class` | `GuiEditArrayEntries.BooleanEntry`
    `static class` | `GuiEditArrayEntries.DoubleEntry` IGuiListEntry Inner Classes
    `static interface` | `GuiEditArrayEntries.IArrayEntry`
    `static class` | `GuiEditArrayEntries.IntegerEntry`
    `static class` | `GuiEditArrayEntries.StringEntry`

    - ### Nested classes/interfaces inherited from class net.minecraft.client.gui.GuiListExtended

      `GuiListExtended.IGuiListEntry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object[]` | `beforeValues`
    `boolean` | `canAddMoreEntries`
    `IConfigElement` | `configElement`
    `int` | `controlWidth`
    `java.lang.Object[]` | `currentValues`
    `boolean` | `isChanged`
    `boolean` | `isDefault`
    `java.util.List<GuiEditArrayEntries.IArrayEntry>` | `listEntries`
    `Minecraft` | `mc`

    - ### Fields inherited from class net.minecraft.client.gui.GuiSlot

      `bottom, field_148163_i, headerPadding, height, left, mouseX, mouseY, right, slotHeight, top, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiEditArrayEntries(GuiEditArray parent, Minecraft mc, IConfigElement configElement, java.lang.Object[] beforeValues, java.lang.Object[] currentValues)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNewEntry(int index)`
    `protected void` | `drawScreenPost(int mouseX, int mouseY, float f)`
    `GuiEditArrayEntries.IArrayEntry` | `getListEntry(int index)`
    `int` | `getListWidth()` Gets the width of the list
    `protected int` | `getScrollBarX()`
    `protected int` | `getSize()`
    `boolean` | `isChanged()`
    `boolean` | `isDefault()`
    `protected boolean` | `isListSavable()`
    `protected void` | `keyTyped(char eventChar, int eventKey)`
    `protected void` | `mouseClicked(int x, int y, int mouseEvent)`
    `void` | `recalculateState()`
    `void` | `removeEntry(int index)`
    `protected void` | `saveListChanges()`
    `protected void` | `updateScreen()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiListExtended

      `drawBackground, drawSlot, elementClicked, func_148179_a, func_148181_b, isSelected`

    - ### Methods inherited from class net.minecraft.client.gui.GuiSlot

      `actionPerformed, drawContainerBackground, drawListHeader, drawScreen, drawSelectionBox, func_148122_a, func_148124_c, func_148125_i, func_148132_a, func_148135_f, func_148141_e, func_148142_b, func_148143_b, getAmountScrolled, getContentHeight, getSlotHeight, registerScrollButtons, scrollBy, setHasListHeader, setShowSelectionBox, setSlotXBoundsFromLeft`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mc

          public Minecraft mc

    - #### configElement

          public IConfigElement configElement

    - #### listEntries

          public java.util.List<GuiEditArrayEntries.IArrayEntry> listEntries

    - #### isDefault

          public boolean isDefault

    - #### isChanged

          public boolean isChanged

    - #### canAddMoreEntries

          public boolean canAddMoreEntries

    - #### controlWidth

          public final int controlWidth

    - #### beforeValues

          public final java.lang.Object[] beforeValues

    - #### currentValues

          public java.lang.Object[] currentValues

  - ### Constructor Detail

    - #### GuiEditArrayEntries

          public GuiEditArrayEntries(GuiEditArray parent,
                             Minecraft mc,
                             IConfigElement configElement,
                             java.lang.Object[] beforeValues,
                             java.lang.Object[] currentValues)

  - ### Method Detail

    - #### getScrollBarX

          protected int getScrollBarX()

      Overrides:
        `getScrollBarX` in class `GuiSlot`

    - #### getListWidth

          public int getListWidth()

      Gets the width of the list
      Overrides:
        `getListWidth` in class `GuiSlot`

    - #### getListEntry

          public GuiEditArrayEntries.IArrayEntry getListEntry(int index)

      Specified by:
        `getListEntry` in class `GuiListExtended`

    - #### getSize

          protected int getSize()

      Specified by:
        `getSize` in class `GuiSlot`

    - #### addNewEntry

          public void addNewEntry(int index)

    - #### removeEntry

          public void removeEntry(int index)

    - #### isChanged

          public boolean isChanged()

    - #### isDefault

          public boolean isDefault()

    - #### recalculateState

          public void recalculateState()

    - #### keyTyped

          protected void keyTyped(char eventChar,
                      int eventKey)

    - #### updateScreen

          protected void updateScreen()

    - #### mouseClicked

          protected void mouseClicked(int x,
                          int y,
                          int mouseEvent)

    - #### isListSavable

          protected boolean isListSavable()

    - #### saveListChanges

          protected void saveListChanges()

    - #### drawScreenPost

          protected void drawScreenPost(int mouseX,
                            int mouseY,
                            float f)